Package com.pixelmed.dose

# Class PersonParticipant

java.lang.Object
com.pixelmed.dose.PersonParticipant

public class PersonParticipant extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected String`
`idIssuer`
`protected String`
`name`
`protected String`
`organization`
`protected RoleInOrganization`
`roleInOrganization`
`protected RoleInProcedure`
`roleInProcedure`

## Constructor Summary

Constructors
Constructor
Description
`PersonParticipant(ContentItem parent)`
`PersonParticipant(String name, RoleInProcedure roleInProcedure, String id, String idIssuer, String organization, RoleInOrganization roleInOrganization)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
`String`
`getIdIssuer()`
`String`
`getName()`
`String`
`getOrganization()`
`RoleInOrganization`
`getRoleInOrganization()`
`RoleInProcedure`
`getRoleInProcedure()`
`ContentItem`
`getStructuredReportFragment()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

protected String name

### roleInProcedure

protected RoleInProcedure roleInProcedure

### id

protected String id

### idIssuer

protected String idIssuer

### organization

protected String organization

### roleInOrganization

protected RoleInOrganization roleInOrganization

## Constructor Details

### PersonParticipant

public PersonParticipant(String name, RoleInProcedure roleInProcedure, String id, String idIssuer, String organization, RoleInOrganization roleInOrganization)

### PersonParticipant

public PersonParticipant(ContentItem parent)

## Method Details

### getName

public String getName()

### getRoleInProcedure

public RoleInProcedure getRoleInProcedure()

### getId

public String getId()

### getIdIssuer

public String getIdIssuer()

### getOrganization

public String getOrganization()

### getRoleInOrganization

public RoleInOrganization getRoleInOrganization()

### getStructuredReportFragment

public ContentItem getStructuredReportFragment() throws DicomException

Throws:
  `DicomException`